<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Projects|Project Management">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to create a project." /><title>Creating a Project</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#05-projects/creating-projects.html">Open topic with navigation</a>
        </p>
        <h2>Creating a Project</h2>
        <p>A <a name="kanchor25"></a>project is the workspace that you use to build a penetration test. Each project logically groups together the hosts that you want to exploit and the type of information that you want to obtain. Every project has a name, description, and network range. </p>
        <p>
After you create a project, you need to run a discovery scan or an import to bring host data into the project. </p>
        <ol data-mc-continue="true">
            <li value="1">From the Projects page, click the <b class="UISelection">New Project </b>button. </li>
        </ol>
        <p>
            <img src="../Resources/Images/projects/project-new-project-button.png" title="New Project button" alt="New Project button" />
        </p>
        <ol data-mc-continue="true">
            <li value="2">When the New Project page appears, find the <b class="UISelection">Project Settings</b> area, and enter the following information:</li>
        </ol>
        <p>
            <img src="../Resources/Images/projects/project-define-settings.png" title="Project Settings" alt="Project Settings" />
        </p>
        <ul>
            <li class="indentedList" value="1"><b class="UISelection">Project name</b> - This is a unique identifier that helps you differentiate between projects.</li>
            <li class="indentedList" value="2"><b class="UISelection">Description </b>- This is a summary of the purpose and scope of the project.</li>
            <li class="indentedList" value="3"><b class="UISelection">Network range</b> - This is the default network range that project uses. The network range sets the default address range that automatically populates the Target Addresses field in discovery scans and Nexpose scans. <span class="VariablesProductName">Metasploit Pro</span> does not enforce the network address range unless you enable the network restriction option. If you want to enter multiple network ranges, use a comma to separate each one.</li>
        </ul>
        <ol start="3">
            <li value="3">Select<b class="UISelection"> Restrict to network range</b> if you want to enforce network boundaries on the project.</li>
            <li value="4">From the <b class="UISelection">User Access</b> area, select the following information:</li>
        </ol>
        <p>
            <img src="../Resources/Images/projects/project-add-user-to-new-project.png" title="User Access area" alt="User Access area" />
        </p>
        <ul>
            <li class="indentedList" value="1"><b class="UISelection">Project owner</b> - This is the person who owns the projects.</li>
            <li class="indentedList" value="2"><b class="UISelection">Project members</b> - These are the users who can access, edit, and run the test.</li>
        </ul>
        <ol start="5">
            <li value="5">Create the project.</li>
        </ol>
        <p><a class="MCHelpControl MCHelpControl-Related relatedTopics" data-mc-topics="About Projects|about-projects.html||Assigning the Project to a User|assigning-project.html||Changing the Project Owner|changing-project-owner.html||Deleting a Project|deleting-projects.html||Removing Users from a Project|removing-users-project.html||Viewing All Projects|viewing-projects.html"><span class="MCHelpControl-RelatedHotSpot_">Related Topics</span></a>
        </p>
    </body>
</html>